/*******************************************************************************
 ******************************* ES6 Range Class *******************************
 *******************************************************************************
 * v0.1
 *******************************************************************************
 * A very simple range class.
 *******************************************************************************
 * https://gist.github.com/sbrl/a725e32f14a3e4b94810
 * Author: Starbeamrainbowlabs <bugs@starbeamrainbowlabs.com>
 * 
 * Changelog:
	* v0.1 - 24th Jan 2015:
		* Uploaded to GitHub Gist.
 */

/// Range.js@v0.1 by Starbeamrainbowlabs ///
class Range
{
	constructor(inMin, inMax) {
		if(inMin > inMax)
			throw new Error(`Min is bigger than max! (min: ${inMin}, max: ${inMax})`);
		this.min = inMin;
		this.max = inMax;
	}
}
